Join us online - 19th of November
Save your spot
For AI agents: a documentation index is available at /llms.txt. Markdown versions of all pages are available by appending .md to any URL.

Weather API

Using the API from JavaScript?
Weather Module

Weather API reference

Configure your environment settings below to update code samples and live API tests:

  • Server – select where your requests go. Keep the default api.maptiler.com or use the EU-based endpoint.
  • Authentication – enter your API key. It will automatically populate code snippets and test requests (otherwise, placeholders are shown).
  • Client Libraries – select your preferred programming language of the code examples.
Scalar API Reference
v1.0
OpenAPI 3.1.0

MapTiler API reference

MapTiler API

Client Libraries

Weather

​
Weather Operations

Weather catalog

​

List current weather-related variables, their metadata and individual keyframes

Responses
  • application/json
  • 403

    Key is missing, invalid or restricted

Request Example for get/weather/latest.json
curl 'https://api.maptiler.com/weather/latest.json?key=YOUR_MAPTILER_API_KEY'
{
  "variables": [
    {
      "spatial_ref_sys": {
        "auth_name": "EPSG",
        "auth_srid": "3857",
        "wkt": "PROJCRS[\"WGS 84 / Pseudo-Mercator\",BASEGEOGCRS[\"WGS 84\",ENSEMBLE[\"World Geodetic System 1984 ensemble\",MEMBER[\"World Geodetic System 1984 (Transit)\"],MEMBER[\"World Geodetic System 1984 (G730)\"],MEMBER[\"World Geodetic System 1984 (G873)\"],MEMBER[\"World Geodetic System 1984 (G1150)\"],MEMBER[\"World Geodetic System 1984 (G1674)\"],MEMBER[\"World Geodetic System 1984 (G1762)\"],MEMBER[\"World Geodetic System 1984 (G2139)\"],ELLIPSOID[\"WGS 84\",6378137,298.257223563,LENGTHUNIT[\"metre\",1]],ENSEMBLEACCURACY[2.0]],PRIMEM[\"Greenwich\",0,ANGLEUNIT[\"degree\",0.0174532925199433]],ID[\"EPSG\",4326]],CONVERSION[\"Popular Visualisation Pseudo-Mercator\",METHOD[\"Popular Visualisation Pseudo Mercator\",ID[\"EPSG\",1024]],PARAMETER[\"Latitude of natural origin\",0,ANGLEUNIT[\"degree\",0.0174532925199433],ID[\"EPSG\",8801]],PARAMETER[\"Longitude of natural origin\",0,ANGLEUNIT[\"degree\",0.0174532925199433],ID[\"EPSG\",8802]],PARAMETER[\"False easting\",0,LENGTHUNIT[\"metre\",1],ID[\"EPSG\",8806]],PARAMETER[\"False northing\",0,LENGTHUNIT[\"metre\",1],ID[\"EPSG\",8807]]],CS[Cartesian,2],AXIS[\"easting (X)\",east,ORDER[1],LENGTHUNIT[\"metre\",1]],AXIS[\"northing (Y)\",north,ORDER[2],LENGTHUNIT[\"metre\",1]],USAGE[SCOPE[\"Web mapping and visualisation.\"],AREA[\"World between 85.06°S and 85.06°N.\"],BBOX[-85.06,-180,85.06,180]],ID[\"EPSG\",3857]]"
      },
      "bounds": [
        -20037481.18083349,
        -20037508.342789244,
        20008180.55502281,
        20037508.342789244
      ],
      "tile_format": "png",
      "tile_matrix_set": {
        "bounds": [
          -20037481.18083349,
          -20037508.342789244,
          20008180.55502281,
          20037508.342789244
        ],
        "items": [
          {
            "zoom_level": 1,
            "matrix_width": 1,
            "matrix_height": 1,
            "tile_width": 1,
            "tile_height": 1,
            "pixel_x_size": 1,
            "pixel_y_size": 1
          }
        ]
      },
      "metadata": {
        "weather_variable": {
          "name": "Wind",
          "description": "Wind at 10 m above ground [m/s]",
          "attribution": "GFS",
          "variable_id": "wind-10m:gfs",
          "decoding": {
            "channels": "rg",
            "min": -75,
            "max": 75
          },
          "unit": "ms",
          "release_timestamp": "2023-03-01T06:00:00+00:00",
          "timestamp": "2023-03-01T11:00:00+00:00"
        }
      },
      "keyframes": [
        {
          "id": "string",
          "timestamp": "string"
        }
      ]
    }
  ]
}
Was this helpful?